clear
rng(0)

x0 = 1;
y0 = 2;
if (x0 > 0)
  xx = linspace(0.1,3,500);
else
  xx = linspace(-3,-0.1,500);
end
B  = y0/(abs(x0)^(-1.5));
yy = B.*(abs(xx).^(-1.5));
tt = linspace(-5,5);
xxx = x0*exp(2*tt);
yyy = y0*exp(-3*tt);
[XX,YY] = meshgrid(linspace(-3,3,13));
F = inline('2*x','x','y');
G = inline('-3*y','x','y');

figure(1)
subplot(1,1,1)
hold off
plot([-3,3],[0,0],'k',...
     [0,0],[-3,3],'k')
xlabel('x')
ylabel('y')
hold on
quiver(XX,YY,F(XX,YY),G(XX,YY),'b')
axis equal
axis([-3,3,-3,3])
%export_fig fig_example1a.png -png -transparent

xxp = linspace(0.1,3,500);
yyp = (abs(xx).^(-1.5));
plot( xxp, 0.5*yyp,'r',...
      xxp, 1.0*yyp,'r',...
      xxp, 1.5*yyp,'r',...
      xxp, 2.0*yyp,'r',...
      xxp,-0.5*yyp,'r',...
      xxp,-1.0*yyp,'r',...
      xxp,-1.5*yyp,'r',...
      xxp,-2.0*yyp,'r',...
     -xxp, 0.5*yyp,'r',...
     -xxp, 1.0*yyp,'r',...
     -xxp, 1.5*yyp,'r',...
     -xxp, 2.0*yyp,'r',...
     -xxp,-0.5*yyp,'r',...
     -xxp,-1.0*yyp,'r',...
     -xxp,-1.5*yyp,'r',...
     -xxp,-2.0*yyp,'r',...
     'LineWidth',2)
keyboard
export_fig fig_example1b.png -png -transparent

